# eric4.ViewManager.Workspace

Module implementing the workspace viewmanager class.

### Classes

Workspace | Class implementing the workspace viewmanager class.

### Functions

None

## Workspace

Class implementing the workspace viewmanager class.

#### Signals

editorChanged(string)
  emitted when the current editor has changed

### Derived from

QWorkspace, ViewManager

### Methods

Workspace | Constructor
__toggleWindow | Protected method to toggle a workspace window.
__windowActivated | Private slot to handle the windowActivated signal.
__windowsMenuTriggered | Private method to handle the toggle of an editor window.
_addView | Protected method to add a view (i.e.
_initWindowActions | Protected method to define the user interface actions for window handling.
_modificationStatusChanged | Protected slot to handle the modificationStatusChanged signal.
_removeAllViews | Protected method to remove all views (i.e.
_removeView | Protected method to remove a view (i.e.
_showView | Private method to show a view (i.e.
_syntaxErrorToggled | Protected slot to handle the syntaxerrorToggled signal.
activeWindow | Private method to return the active (i.e.
canCascade | Public method to signal if cascading of managed windows is available.
canSplit | public method to signal if splitting of the view is available.
canTile | Public method to signal if tiling of managed windows is available.
cascade | Public method to cascade the managed windows.
eventFilter | Public method called to filter the event queue.
setEditorName | Public method to change the displayed name of the editor.
showWindowMenu | Public method to set up the viewmanager part of the Window menu.
tile | Public method to tile the managed windows.

#### Workspace (Constructor)

Workspace(parent, ui, dbs)

Constructor

parent
  parent widget (QWidget)
ui
  reference to the main user interface
dbs
  reference to the debug server object

#### Workspace.__toggleWindow

__toggleWindow(w)

Protected method to toggle a workspace window.

w
  editor window to be toggled

#### Workspace.__windowActivated

__windowActivated(editor)

Private slot to handle the windowActivated signal.

editor
  the activated editor window

#### Workspace.__windowsMenuTriggered

__windowsMenuTriggered(act)

Private method to handle the toggle of an editor window.

act
  reference to the action that triggered (QAction)

#### Workspace._addView

_addView(win, fn = None, noName = "")

Protected method to add a view (i.e. window)

win
  editor window to be added
fn
  filename of this editor
noName
  name to be used for an unnamed editor (string or QString)

#### Workspace._initWindowActions

_initWindowActions()

Protected method to define the user interface actions for window handling.

#### Workspace._modificationStatusChanged

_modificationStatusChanged(m, editor)

Protected slot to handle the modificationStatusChanged signal.

m
  flag indicating the modification status (boolean)
editor
  editor window changed

#### Workspace._removeAllViews

_removeAllViews()

Protected method to remove all views (i.e. windows)

#### Workspace._removeView

_removeView(win)

Protected method to remove a view (i.e. window)

win
  editor window to be removed

#### Workspace._showView

_showView(win, fn = None)

Private method to show a view (i.e. window)

win
  editor window to be shown
fn
  filename of this editor

#### Workspace._syntaxErrorToggled

_syntaxErrorToggled(editor)

Protected slot to handle the syntaxerrorToggled signal.

editor
  editor that sent the signal

#### Workspace.activeWindow

activeWindow()

Private method to return the active (i.e. current) window.

Returns:
  reference to the active editor

#### Workspace.canCascade

canCascade()

Public method to signal if cascading of managed windows is available.

Returns:
  flag indicating cascading of windows is available

#### Workspace.canSplit

canSplit()

public method to signal if splitting of the view is available.

Returns:
  flag indicating splitting of the view is available.

#### Workspace.canTile

canTile()

Public method to signal if tiling of managed windows is available.

Returns:
  flag indicating tiling of windows is available

#### Workspace.cascade

cascade()

Public method to cascade the managed windows.

#### Workspace.eventFilter

eventFilter(watched, event)

Public method called to filter the event queue.

watched
  the QObject being watched
event
  the event that occurred

Returns:
  always False

#### Workspace.setEditorName

setEditorName(editor, newName)

Public method to change the displayed name of the editor.

editor
  editor window to be changed
newName
  new name to be shown (string or QString)

#### Workspace.showWindowMenu

showWindowMenu(windowMenu)

Public method to set up the viewmanager part of the Window menu.

windowMenu
  reference to the window menu

#### Workspace.tile

tile()

Public method to tile the managed windows.

Up